import json
import setuptools

kwargs = json.loads(
    """
{
    "name": "aws-clamav-malware-scanner-vpc",
    "version": "2.12.0",
    "description": "Serverless architecture to virus scan objects in Amazon S3.",
    "license": "Apache-2.0",
    "url": "https://github.com/awslabs/aws-clamav-malware-scanner-vpc",
    "long_description_content_type": "text/markdown",
    "author": "Daniel Sanders<daniel.sanders@iag.com.au>",
    "bdist_wheel": {
        "universal": true
    },
    "project_urls": {
        "Source": "https://github.com/awslabs/aws-clamav-malware-scanner-vpc"
    },
    "package_dir": {
        "": "src"
    },
    "packages": [
        "aws_clamav_malware_scanner_vpc",
        "aws_clamav_malware_scanner_vpc._jsii"
    ],
    "package_data": {
        "aws_clamav_malware_scanner_vpc._jsii": [
            "aws-clamav-malware-scanner-vpc@2.12.0.jsii.tgz"
        ],
        "aws_clamav_malware_scanner_vpc": [
            "py.typed"
        ]
    },
    "python_requires": "~=3.8",
    "install_requires": [
        "aws-cdk-lib>=2.54.0, <3.0.0",
        "constructs>=10.0.5, <11.0.0",
        "jsii>=1.106.0, <2.0.0",
        "publication>=0.0.3",
        "typeguard>=2.13.3,<4.3.0"
    ],
    "classifiers": [
        "Intended Audience :: Developers",
        "Operating System :: OS Independent",
        "Programming Language :: JavaScript",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Typing :: Typed",
        "Development Status :: 5 - Production/Stable",
        "License :: OSI Approved"
    ],
    "scripts": []
}
"""
)

with open("README.md", encoding="utf8") as fp:
    kwargs["long_description"] = fp.read()


setuptools.setup(**kwargs)
